Avoid installing chromium 92 or later on customer-hosted Looker instances to prevent rendering issues

  • 23 June 2021
  • 0 replies
  • 45 views

Chromium is required for scheduling, sending or downloading Looks and dashboards in data formats like PDF or PNG.

 

On Looker-hosted customer instances, the chromium installation is managed by the Looker team. However, customers need to manage the chromium installation themselves on customer-hosted Looker instances.

 

Recently, we have discovered a bug with the latest chromium 92 beta version when rendering Looks or Dashboards to PDF format when the Looks or Dashboards contain any map visualisations. The rendered PDF does not contain the map visualisation present in the Dashboard or the Look and instead contains a blank space in place of the map.

 

In the past, Looker has generally recommended installing the latest version of chromium. However, because of the issue described above, we are now recommending that customers do not install Chromium 92 or later until this issue is resolved. The stable release of chromium 92 is scheduled for July 20th, 2021 as per ​​https://chromiumdash.appspot.com/schedule.

 

To install a specific version of chromium on Ubuntu, run the following:

$apt-get update && apt-get install -y chromium-browser=<version-number>

 

Where version-number is the specific version of chromium you want to install on your machine. We recommend installing any of the chromium 91 stable releases applicable for your server platform. You find the list of chromium releases on this page: https://chromiumdash.appspot.com/releases?platform=Linux

 

All of the other chromium installation instructions remain the same as described in https://docs.looker.com/setup-and-management/on-prem-install/on-prem-labs

 


This topic has been closed for comments